summaryrefslogtreecommitdiffstats
path: root/debian/templates/postinst.initramfs-tools.in
diff options
context:
space:
mode:
Diffstat (limited to 'debian/templates/postinst.initramfs-tools.in')
-rw-r--r--debian/templates/postinst.initramfs-tools.in19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/templates/postinst.initramfs-tools.in b/debian/templates/postinst.initramfs-tools.in
new file mode 100644
index 0000000..6c9e968
--- /dev/null
+++ b/debian/templates/postinst.initramfs-tools.in
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ dpkg-trigger --no-await update-initramfs
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" 1>&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#